
<div class="container ">
   <div class="row justify-content-center">
   <h1 >Countries</h1>
    <div class="form-group col-md-9">
   <input  type="text" id="Search" class="form-control" name="name" [(ngModel)]="name" (ngModelChange)="search()" placeholder="Search for countries.." aria-label="Search">
   </div>

   <div class="card" style="width: 30rem;" *ngFor="let Countrys of Country | filter:name">
       
    <div class="card-body" >
       
        <div class="row" >
            <div class="col-sm-6">
            <img class="card-img" src="{{Countrys.flag}}" alt="Card image cap">
            </div>
            <div class="col-sm-6">
           <h2 class="card-title">{{Countrys.name}}</h2>
           <div *ngFor="let i of Countrys.currencies">
           <p class="card-text">Currency:{{i.name}}</p> 
           </div>
           <a [href]="'https://www.google.com/maps/place/' +Countrys.name" class="btn btn-outline-primary">Show Map</a> &nbsp;
          
        <!-- <a class="btn btn-outline-primary" (click)="xyz(params.name)">Details</a>   -->
       <!-- <a class="btn btn-outline-primary" (click)="addDetails(Countrys.name)">Details</a>  -->
     <!-- <div   ng-init="myVar = ' countrydetails/${params.data.alpha3Code'">
            
       <button  type="button"><a  ng-href= "{{myVar}}">Details</a></button> 
    </div> -->
    <!-- <a  href = "countrydetails/${{params.data.alpha3Code}}">Details </a>    -->
    <a  [href] = "'countrydetails/' +Countrys.alpha3Code" class="btn btn-outline-primary">Details</a>   
           <router-outlet></router-outlet> <br><br>
            </div>  
        </div>
    </div>
    <!-- <nav>
        <a routerLink="/countrydetails/:num">Countrydetails</a>
      </nav> -->
      <router-outlet></router-outlet>
  <!-- </div>
</div>  
</div>   -->

<!-- 
 <div class="container">
    <div class="row"   >
      <div class="col-12" >
        <h2 style="text-align: center">Country</h2>
      </div>
  
          <!-- <div style="display:flex; justify-content: center;width: 100%">
  
            <input [ngModel]="searchinput "  (keyup)="search()" type="text" placeholder="Search for countries"  style="padding: 10px 15px;display: block; border-radius:20px;border: 2px solid #eee;outline: none;width: 80%">
  
         </div> --> 
<!--   
      <div style="margin-top: 10px; width: 100%">
        <ag-grid-angular
          style="width: 100%; height: 600px;"
          class="ag-theme-balham"
          [rowData]="Country"
          [columnDefs]="columnDefs">
        </ag-grid-angular>
      </div>  -->
   

      <!-- xyz(params) {
          return <button  type="button"><a  href = countrydetails/${params.data.alpha3Code}>Details</a></button>;
          } -->
      
            
    
